Bug 21940 - Poor 3d image quality under quake3 - matrox g200
Poor 3d image quality under quake3 - matrox g200
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i686 Linux
low Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-08 07:09 EST by Motor
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-17 15:06:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Motor 2000-12-08 07:09:06 EST
Machine: Intel Celeron 333 192mb RAM, Matrox g200 8Mb SDRAM.

Previously this machine was running RH6.2 using the UTAX GLX project to
provide excellent quality 3d acceleration with Quake 3.

After a fresh install of RH7.0 and Xfree4 everything is still running ok
(speed is fine, agp is enabled and so on), except that there are now a
large number of small "tears" where the polygons making up a room in Q3
join up - almost as if they do not fit together properly, and bits of the
background are showing though.

I'm assuming that this is a bug in the mga DRI driver supplied with
XFree4.0.1, but I have been unable to find any reference to it elsewhere.
Comment 1 Mike A. Harris 2001-03-17 15:06:29 EST
You're probably right.  Can you try out the latest XFree86 4.0.2a-2 and
Mesa 3.4-12 packages from:

ftp://people.redhat.com/mharris

Let me know if they work better for you.  You'll also need the rawhide kernel.
Comment 2 Mike A. Harris 2001-08-25 03:50:29 EDT
The latest XFree86 4.1.0 in rawhide has dramatically improved 3D
support.

Note You need to log in before you can comment on or make changes to this bug.